Skip to main content
Create Contact Details
curl --request POST \
  --url https://integration.getmateo.com/api/v1/contact_details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "random uuid",
  "created_at": "now()",
  "updated_at": "now()",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "full_name": "<string>",
  "fts": "<string>",
  "is_blocked": false,
  "external_id": "<string>",
  "secondary_external_id": "<string>",
  "birthday": "2023-12-25",
  "salutation": "<string>",
  "email": "<string>",
  "sms": "<string>",
  "whatsapp": "<string>",
  "instagram": "<string>",
  "facebook": "<string>",
  "google_business_messaging": "<string>",
  "address_line1": "<string>",
  "address_line2": "<string>",
  "city": "<string>",
  "zipcode": "<string>",
  "country": "<string>",
  "postal": "<string>",
  "number_of_marketing_opt_in_requests": 123,
  "latest_marketing_opt_in_request_sent_at": "<string>",
  "campaign_messages_this_month": 123,
  "whatsapp_marketing_opt_in": false,
  "sms_marketing_opt_in": false,
  "email_marketing_opt_in": false,
  "facebook_marketing_opt_in": false,
  "instagram_marketing_opt_in": false,
  "google_business_messaging_marketing_opt_in": false,
  "postal_marketing_opt_in": true
}
'
import requests

url = "https://integration.getmateo.com/api/v1/contact_details"

payload = {
    "id": "random uuid",
    "created_at": "now()",
    "updated_at": "now()",
    "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "full_name": "<string>",
    "fts": "<string>",
    "is_blocked": False,
    "external_id": "<string>",
    "secondary_external_id": "<string>",
    "birthday": "2023-12-25",
    "salutation": "<string>",
    "email": "<string>",
    "sms": "<string>",
    "whatsapp": "<string>",
    "instagram": "<string>",
    "facebook": "<string>",
    "google_business_messaging": "<string>",
    "address_line1": "<string>",
    "address_line2": "<string>",
    "city": "<string>",
    "zipcode": "<string>",
    "country": "<string>",
    "postal": "<string>",
    "number_of_marketing_opt_in_requests": 123,
    "latest_marketing_opt_in_request_sent_at": "<string>",
    "campaign_messages_this_month": 123,
    "whatsapp_marketing_opt_in": False,
    "sms_marketing_opt_in": False,
    "email_marketing_opt_in": False,
    "facebook_marketing_opt_in": False,
    "instagram_marketing_opt_in": False,
    "google_business_messaging_marketing_opt_in": False,
    "postal_marketing_opt_in": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    id: 'random uuid',
    created_at: 'now()',
    updated_at: 'now()',
    organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    full_name: '<string>',
    fts: '<string>',
    is_blocked: false,
    external_id: '<string>',
    secondary_external_id: '<string>',
    birthday: '2023-12-25',
    salutation: '<string>',
    email: '<string>',
    sms: '<string>',
    whatsapp: '<string>',
    instagram: '<string>',
    facebook: '<string>',
    google_business_messaging: '<string>',
    address_line1: '<string>',
    address_line2: '<string>',
    city: '<string>',
    zipcode: '<string>',
    country: '<string>',
    postal: '<string>',
    number_of_marketing_opt_in_requests: 123,
    latest_marketing_opt_in_request_sent_at: '<string>',
    campaign_messages_this_month: 123,
    whatsapp_marketing_opt_in: false,
    sms_marketing_opt_in: false,
    email_marketing_opt_in: false,
    facebook_marketing_opt_in: false,
    instagram_marketing_opt_in: false,
    google_business_messaging_marketing_opt_in: false,
    postal_marketing_opt_in: true
  })
};

fetch('https://integration.getmateo.com/api/v1/contact_details', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "random uuid",
  "created_at": "now()",
  "updated_at": "now()",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "full_name": "<string>",
  "fts": "<string>",
  "is_blocked": false,
  "external_id": "<string>",
  "secondary_external_id": "<string>",
  "birthday": "2023-12-25",
  "salutation": "<string>",
  "email": "<string>",
  "sms": "<string>",
  "whatsapp": "<string>",
  "instagram": "<string>",
  "facebook": "<string>",
  "display_name": "<string>",
  "google_business_messaging": "<string>",
  "address_line1": "<string>",
  "address_line2": "<string>",
  "city": "<string>",
  "zipcode": "<string>",
  "country": "<string>",
  "postal": "<string>",
  "number_of_marketing_opt_in_requests": 123,
  "latest_marketing_opt_in_request_sent_at": "<string>",
  "campaign_messages_this_month": 123,
  "whatsapp_marketing_opt_in": false,
  "sms_marketing_opt_in": false,
  "email_marketing_opt_in": false,
  "facebook_marketing_opt_in": false,
  "instagram_marketing_opt_in": false,
  "google_business_messaging_marketing_opt_in": false,
  "postal_marketing_opt_in": true
}
{
  "id": "random uuid",
  "created_at": "now()",
  "updated_at": "now()",
  "organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "full_name": "<string>",
  "fts": "<string>",
  "is_blocked": false,
  "external_id": "<string>",
  "secondary_external_id": "<string>",
  "birthday": "2023-12-25",
  "salutation": "<string>",
  "email": "<string>",
  "sms": "<string>",
  "whatsapp": "<string>",
  "instagram": "<string>",
  "facebook": "<string>",
  "display_name": "<string>",
  "google_business_messaging": "<string>",
  "address_line1": "<string>",
  "address_line2": "<string>",
  "city": "<string>",
  "zipcode": "<string>",
  "country": "<string>",
  "postal": "<string>",
  "number_of_marketing_opt_in_requests": 123,
  "latest_marketing_opt_in_request_sent_at": "<string>",
  "campaign_messages_this_month": 123,
  "whatsapp_marketing_opt_in": false,
  "sms_marketing_opt_in": false,
  "email_marketing_opt_in": false,
  "facebook_marketing_opt_in": false,
  "instagram_marketing_opt_in": false,
  "google_business_messaging_marketing_opt_in": false,
  "postal_marketing_opt_in": true
}
This response has no body data.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

select
string

Filtering Columns

Body

application/json

contact

id
string<uuid>
default:random uuid

Contact ID

created_at
string<timestamp with time zone>
default:now()

Contact creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

full_name
string<text> | null

Name of contact

fts
string<tsvector> | null

Handle of contact

is_blocked
boolean<boolean>
default:false

Is the contact blocked?

external_id
string<text> | null

External ID

secondary_external_id
string<text> | null

Secondary External ID

birthday
string<date> | null

Birthday of the contact

salutation
string<text> | null

Salutation

email
string<text> | null

Email of contact

sms
string<text> | null

SMS of contact

whatsapp
string<text> | null

Whatsapp Number

instagram
string<text> | null

Instagram

facebook
string<text> | null

Facebook

google_business_messaging
string<text> | null

Google business messaging account of contact

address_line1
string<text> | null

First line of the postal address

address_line2
string<text> | null

Second line of the postal address

city
string<text> | null

City of the postal address

zipcode
string<text> | null

Postal code or ZIP code of the address

country
string<text> | null

Country of the postal address

postal
string<text> | null

Postal handle or identifier for the contact

number_of_marketing_opt_in_requests
integer<integer>

Number of marketing opt in requests

latest_marketing_opt_in_request_sent_at
string<timestamp with time zone> | null

Latest marketing opt in request sent at

campaign_messages_this_month
integer<integer>

Campaign Messages this month

whatsapp_marketing_opt_in
boolean<boolean>
default:false

WhatsApp marketign opt in

sms_marketing_opt_in
boolean<boolean>
default:false

SMS marketing opt in

email_marketing_opt_in
boolean<boolean>
default:false

Email marketing opt in of contact

facebook_marketing_opt_in
boolean<boolean>
default:false

Facebook marketing opt in

instagram_marketing_opt_in
boolean<boolean>
default:false

Instagram marketing opt in

google_business_messaging_marketing_opt_in
boolean<boolean>
default:false

Google business messaging marketing opt in

postal_marketing_opt_in
boolean<boolean>
default:true

Postal marketing opt in status

whatsapp_transactional_opt_in
enum<string> | null

WhatsApp transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
sms_transactional_opt_in
enum<string> | null

SMS transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
email_transactional_opt_in
enum<string> | null

Email transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
facebook_transactional_opt_in
enum<string> | null

Facebook transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
instagram_transactional_opt_in
enum<string> | null

Instagram transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
google_business_messaging_transactional_opt_in
enum<string> | null

Google business messaging transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
postal_transactional_opt_in
enum<string> | null

Postal transactional opt in status

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted

Response

The updated Contact object

id
string<uuid>
default:random uuid

Contact ID

created_at
string<timestamp with time zone>
default:now()

Contact creation date

updated_at
string<timestamp with time zone>
default:now()

Latest update

organisation_id
string<uuid>

Organisation ID

full_name
string<text> | null

Name of contact

fts
string<tsvector> | null

Handle of contact

is_blocked
boolean<boolean>
default:false

Is the contact blocked?

external_id
string<text> | null

External ID

secondary_external_id
string<text> | null

Secondary External ID

birthday
string<date> | null

Birthday of the contact

salutation
string<text> | null

Salutation

email
string<text> | null

Email of contact

sms
string<text> | null

SMS of contact

whatsapp
string<text> | null

Whatsapp Number

instagram
string<text> | null

Instagram

facebook
string<text> | null

Facebook

display_name
string<text> | null

Displayed name of contact in the Mateo app

google_business_messaging
string<text> | null

Google business messaging account of contact

address_line1
string<text> | null

First line of the postal address

address_line2
string<text> | null

Second line of the postal address

city
string<text> | null

City of the postal address

zipcode
string<text> | null

Postal code or ZIP code of the address

country
string<text> | null

Country of the postal address

postal
string<text> | null

Postal handle or identifier for the contact

number_of_marketing_opt_in_requests
integer<integer>

Number of marketing opt in requests

latest_marketing_opt_in_request_sent_at
string<timestamp with time zone> | null

Latest marketing opt in request sent at

campaign_messages_this_month
integer<integer>

Campaign Messages this month

whatsapp_marketing_opt_in
boolean<boolean>
default:false

WhatsApp marketign opt in

sms_marketing_opt_in
boolean<boolean>
default:false

SMS marketing opt in

email_marketing_opt_in
boolean<boolean>
default:false

Email marketing opt in of contact

facebook_marketing_opt_in
boolean<boolean>
default:false

Facebook marketing opt in

instagram_marketing_opt_in
boolean<boolean>
default:false

Instagram marketing opt in

google_business_messaging_marketing_opt_in
boolean<boolean>
default:false

Google business messaging marketing opt in

postal_marketing_opt_in
boolean<boolean>
default:true

Postal marketing opt in status

whatsapp_transactional_opt_in
enum<string> | null

WhatsApp transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
sms_transactional_opt_in
enum<string> | null

SMS transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
email_transactional_opt_in
enum<string> | null

Email transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
facebook_transactional_opt_in
enum<string> | null

Facebook transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
instagram_transactional_opt_in
enum<string> | null

Instagram transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
google_business_messaging_transactional_opt_in
enum<string> | null

Google business messaging transactional opt in

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
postal_transactional_opt_in
enum<string> | null

Postal transactional opt in status

Available options:
legitimate_interest,
contract_fulfillment,
consent_granted
{key}
Example:

"your string custom field"